Uploaded image for project: 'Qt Quality Assurance Infrastructure'
  1. Qt Quality Assurance Infrastructure
  2. QTQAINFRA-3126

Jenkins deploy script doesn't work anymore for developers

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P0: Blocker
    • Resolution: Fixed
    • Affects Version/s: unversioned
    • Fix Version/s: None
    • Component/s: Jenkins
    • Labels:
      None

      Description

      Running the deployment script ended up giving an error about XML versions:

      > perl ~/qtqa/scripts/jenkins/qt-jenkins-deploy.pl --conf tqtc-testconfig/jenkins/qt-jenkins-rta-dc.ini --allow-insecure --user a_user --dry-run
      Jenkins API token or password for a_user: ***
      Only XML version 1.0 supported. Saw: '1.1' [Ln: 1, Col: 283128039802056]
      XML::Simple called at /home/foobar/qtqa/scripts/jenkins/qt-jenkins-deploy.pl line 616.
      

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            tosaraja Tony Sarajärvi
            Reporter:
            tosaraja Tony Sarajärvi
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes